Status: Resolved Start date: 2012-04-05
Priority: Should have Due date:

Assignee: Robert Lemke % Done: 100%
Category: Http Estimated time: 0.00 hour
Target version: 1.1

PHP Version: 5.3 Complexity: medium
Has patch: No

Description

I'd like a virtual "Browser" class which allows me to simulate arbitrary HTTP requests without actually sending them over the network.
This would be great for testing controllers and any other component which is accessed through the HTTP stack.

Associated revisions

Revision ecb44c54 - 2012-04-11 14:10 - Robert Lemke
[FEATURE] HTTP Client for Functional Testing

This adds a virtual HTTP client which supports pluggable request engines
for different purposes. The first scenario in which we'll use this new
"Browser" is for seamless functional testing of controllers and other
features which should be tested through the whole request / response
chain.

The FunctionalTestCase now provides a new class property called
"testableHttpEnabled" which, if set to TRUE, initializes a new browser
for each test and provides it as $this->browser.

Also adds a bunch of functional tests for the MVC ActionController using
this new feature.

Resolves: #35706

Related: #35243

Releases: 1.1

Change-1d: Idb1b9b8eb6aedf2c5540ac309¢c264d9b3bd26a84

History

#1 - 2012-04-05 10:16 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10147

#2 - 2012-04-05 16:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/10147

#3 - 2012-04-09 17:54 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/10147

#4 - 2012-04-11 12:33 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10147

#5 - 2012-04-11 12:35 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/10147

2021-06-23 1/2



http://review.typo3.org/10147
http://review.typo3.org/10147
http://review.typo3.org/10147
http://review.typo3.org/10147
http://review.typo3.org/10147

#6 - 2012-04-11 13:51 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10147

#7 - 2012-04-11 14:11 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/10147

#8 - 2012-04-11 14:38 - Robert Lemke
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset ecb44c545eb5bbb5b89718c9de1236414b9b770c.
